require "actions/errors"

module Actions
  module ErrorHandling

    def call
      super
      context.called!(self)
      context
    rescue Actions::Errors::Failure
      context.rollback!
      return context
    rescue
      context.rollback!
      raise
    end
  end
end
